Bug 1403556 - [abrt] gnome-shell: meta_window_unmanage(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: meta_window_unmanage(): gnome-shell killed by SIGABRT
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:99aa6a23be7895a0b893f37e94f...
Keywords:
: 1406141 (view as bug list)
Depends On: 1408674
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-12-11 11:16 UTC by dimapunk80
Modified: 2017-12-12 10:44 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:44:31 UTC


Attachments (Terms of Use)
File: backtrace (40.83 KB, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: cgroup (242 bytes, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: core_backtrace (6.57 KB, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: dso_list (27.05 KB, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: environ (888 bytes, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: limits (1.29 KB, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: maps (138.07 KB, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: mountinfo (3.96 KB, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: namespaces (102 bytes, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: open_fds (6.75 KB, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-12-11 11:16 UTC, dimapunk80
no flags Details
File: var_log_messages (2.30 KB, text/plain)
2016-12-11 11:17 UTC, dimapunk80
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 775986 None None None Never

Description dimapunk80 2016-12-11 11:16:36 UTC
Version-Release number of selected component:
gnome-shell-3.22.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
global_pid:     1632
kernel:         4.8.12-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 meta_window_unmanage at core/window.c:1389
 #5 meta_wayland_surface_destroy_window at wayland/meta-wayland-surface.c:408
 #6 xdg_toplevel_destructor at wayland/meta-wayland-xdg-shell.c:165
 #7 destroy_resource at src/wayland-server.c:611
 #8 wl_resource_destroy at src/wayland-server.c:626
 #9 meta_wayland_xdg_surface_shell_client_destroyed at wayland/meta-wayland-xdg-shell.c:1429
 #10 xdg_shell_destructor at wayland/meta-wayland-xdg-shell.c:1877
 #11 destroy_resource at src/wayland-server.c:611
 #12 for_each_helper at src/wayland-util.c:373
 #13 wl_map_for_each at src/wayland-util.c:386

Comment 1 dimapunk80 2016-12-11 11:16:42 UTC
Created attachment 1230539 [details]
File: backtrace

Comment 2 dimapunk80 2016-12-11 11:16:44 UTC
Created attachment 1230540 [details]
File: cgroup

Comment 3 dimapunk80 2016-12-11 11:16:45 UTC
Created attachment 1230541 [details]
File: core_backtrace

Comment 4 dimapunk80 2016-12-11 11:16:47 UTC
Created attachment 1230542 [details]
File: dso_list

Comment 5 dimapunk80 2016-12-11 11:16:49 UTC
Created attachment 1230543 [details]
File: environ

Comment 6 dimapunk80 2016-12-11 11:16:50 UTC
Created attachment 1230544 [details]
File: limits

Comment 7 dimapunk80 2016-12-11 11:16:52 UTC
Created attachment 1230545 [details]
File: maps

Comment 8 dimapunk80 2016-12-11 11:16:54 UTC
Created attachment 1230546 [details]
File: mountinfo

Comment 9 dimapunk80 2016-12-11 11:16:55 UTC
Created attachment 1230547 [details]
File: namespaces

Comment 10 dimapunk80 2016-12-11 11:16:57 UTC
Created attachment 1230548 [details]
File: open_fds

Comment 11 dimapunk80 2016-12-11 11:16:58 UTC
Created attachment 1230549 [details]
File: proc_pid_status

Comment 12 dimapunk80 2016-12-11 11:17:00 UTC
Created attachment 1230550 [details]
File: var_log_messages

Comment 13 Adam Goode 2016-12-11 19:32:33 UTC
I was running weston-flower and clicked "Close" in its menu.

Comment 14 Christian Stadelmann 2016-12-19 20:18:08 UTC
*** Bug 1406141 has been marked as a duplicate of this bug. ***

Comment 15 Christian Stadelmann 2016-12-19 20:39:06 UTC
I can reproduce this bug (although it is quite unconventional and I haven't found a way to break this down to a simple reproducer):

1. you'll need a GNOME+Wayland session
2. `git clone https://github.com/exaile/exaile.git`
3. run `exaile`. If you don't want to get its config data, add `--all-data-dir=/tmp/foo` to its cmdline
4. In main menu, "Edit" click "Preferences"
5. In Preferences, page "Plugins", enable "Simple Console"
6. close the console

Additional notes:
tested with exaile git revision 7df1418, but works with older versions too. Haven't tested newer versions because there are none ;)
These are the steps I used to get bug #1406141.

Software versions:
mutter-3.22.2-3.fc25.x86_64
gnome-shell-3.22.2-2.fc25.x86_64
glib2-2.50.2-1.fc25.x86_64
gtk3-3.22.5-1.fc25.x86_64
libwayland-client-1.12.0-1.fc25.x86_64

Comment 16 Christian Stadelmann 2016-12-19 20:44:38 UTC
I can reproduce this bug (although it is quite unconventional and I haven't found a way to break this down to a simple reproducer):

1. you'll need a GNOME+Wayland session
2. `git clone https://github.com/exaile/exaile.git`
3. run `exaile`. If you don't want to get its config data, add `--all-data-dir=/tmp/foo` to its cmdline
4. In main menu, "Edit" click "Preferences"
5. In Preferences, page "Plugins", enable "Simple Console"
6. close the console

Additional notes:
tested with exaile git revision 7df1418, but works with older versions too. Haven't tested newer versions because there are none ;)
These are the steps I used to get bug #1406141.

Software versions:
mutter-3.22.2-3.fc25.x86_64
gnome-shell-3.22.2-2.fc25.x86_64
glib2-2.50.2-1.fc25.x86_64
gtk3-3.22.5-1.fc25.x86_64
libwayland-client-1.12.0-1.fc25.x86_64

Comment 17 hacrot3000 2016-12-26 10:40:50 UTC
I can reproduce this bug. This happen every time I open search or replace box on POEdit. 
It freezing around 1-2 seconds then crash and auto logout. 
See https://bugzilla.redhat.com/show_bug.cgi?id=1408674 for more detail about poedit process

Comment 18 jibecfed 2017-01-04 06:37:28 UTC
I can also reproduce this crash when I open search box in poedit, also cf #1408674

Comment 19 Fedora End Of Life 2017-11-16 14:36:52 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Christian Stadelmann 2017-11-16 22:42:45 UTC
(In reply to Christian Stadelmann from comment #15)
> I can reproduce this bug (although it is quite unconventional and I haven't
> found a way to break this down to a simple reproducer):

Those steps don't work any more, so I guess this bug has been fixed. Upstream says so too.

Comment 21 Fedora End Of Life 2017-12-12 10:44:31 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.